cURL
curl -X GET \
/tenants/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/tenants/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/tenants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/tenants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "ACME",
"legalCompanyName": "Acme Inc.",
"commercialRegister": "Berlin Charlottenburg",
"commercialRegisterNumber": "HRB 123456",
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"username": "acme",
"vatNumber": "DE123456789",
"owner": "<unknown>",
"city": "Cologne",
"zip": "50667",
"street": "Domstraße",
"housenumber": "1",
"countryCode": "DE",
"website": "https://acme.com",
"phone": "+49 123 456 789",
"email": "info@acme.de",
"ceo": "Max Mustermann",
"iban": "DE89370400440532013000",
"environment": "sandbox",
"appearance": {
"primaryColor": "#000000",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"logoUrl": "https://example.com/logo.png",
"secondaryColor": "#000000",
"privacyUrl": "https://example.com/privacy",
"conditionsUrl": "https://example.com/terms-and-conditions",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"documentSettings": {
"logoPosition": "left",
"id": "<string>",
"footer": {
"translations": {},
"id": "<string>"
}
},
"timeZone": "Europe/Berlin",
"readOnlyCustomers": true,
"createdAt": "2021-01-01T00:00:00+00:00",
"updatedAt": "2021-01-01T00:00:00+00:00"
}Tenant
Get a tenant
Retrieves a Tenant resource.
Required permissions:tenant:managerGET
/
tenants
/
{id}
cURL
curl -X GET \
/tenants/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/tenants/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/tenants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/tenants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "ACME",
"legalCompanyName": "Acme Inc.",
"commercialRegister": "Berlin Charlottenburg",
"commercialRegisterNumber": "HRB 123456",
"id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
"username": "acme",
"vatNumber": "DE123456789",
"owner": "<unknown>",
"city": "Cologne",
"zip": "50667",
"street": "Domstraße",
"housenumber": "1",
"countryCode": "DE",
"website": "https://acme.com",
"phone": "+49 123 456 789",
"email": "info@acme.de",
"ceo": "Max Mustermann",
"iban": "DE89370400440532013000",
"environment": "sandbox",
"appearance": {
"primaryColor": "#000000",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"logoUrl": "https://example.com/logo.png",
"secondaryColor": "#000000",
"privacyUrl": "https://example.com/privacy",
"conditionsUrl": "https://example.com/terms-and-conditions",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"documentSettings": {
"logoPosition": "left",
"id": "<string>",
"footer": {
"translations": {},
"id": "<string>"
}
},
"timeZone": "Europe/Berlin",
"readOnlyCustomers": true,
"createdAt": "2021-01-01T00:00:00+00:00",
"updatedAt": "2021-01-01T00:00:00+00:00"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Tenant identifier
Antwort
Tenant resource
The name of the tenant
Required string length:
2 - 255Beispiel:
"ACME"
Beispiel:
"Acme Inc."
Beispiel:
"Berlin Charlottenburg"
Beispiel:
"HRB 123456"
Beispiel:
"01F9Z3ZJXZQZJZJZJZJZJZJZJZ"
Beispiel:
"acme"
Beispiel:
"DE123456789"
Beispiel:
"Cologne"
Beispiel:
"50667"
Beispiel:
"Domstraße"
Beispiel:
"1"
Beispiel:
"DE"
Beispiel:
"https://acme.com"
Beispiel:
"+49 123 456 789"
Beispiel:
"info@acme.de"
Beispiel:
"Max Mustermann"
The IBAN will be displayed on the invoice
Beispiel:
"DE89370400440532013000"
Verfügbare Optionen:
sandbox, production Show child attributes
Show child attributes
Show child attributes
Show child attributes
Beispiel:
"Europe/Berlin"
If true, customers are read-only in the frontend
The date and time when the resource was created.
Beispiel:
"2021-01-01T00:00:00+00:00"
The date and time when the resource was last updated.
Beispiel:
"2021-01-01T00:00:00+00:00"
War diese Seite hilfreich?